#ifndef __DHCPC_H__
#define __DHCPC_H__

#include "../uip/uip.h"

// initialize the DHCP client
void dhcpc_init(void);

// called by uIP (through inetd) when an UDP packet has been received and also periodically.
void dhcpc_appcall(struct udp_application_state *app_state);

// Writes the current status message into the buffer and returns the number of characters.
unsigned short get_dhcp_status(char* buffer);

#endif /* __DHCPC_H__ */
