#ifndef _ADC_H__
#define _ADC_H__
#include <stdint.h>

// Functions to access the ADC
// See the implementation (*.c) files to get a description of the required settings.

// get a sample from ADC chip.
uint16_t getADC(const int channel);

// initialize the ADC chip
void initADC(void);

// select reference
// returns 1 on success
uint8_t setAREF(const  char* name);


#endif // _ADC_H__
